:root {
    --rt-featured-channels-bg: var(--rt-color-background);
    --rt-featured-channels-header-bg: var(--rt-bg-subtle);
    --rt-featured-channels-item-bg: var(--rt-bg-subtle);
    --rt-featured-channels-item-border: var(--rt-border-subtle);
}

.featured-channels__group {
    border-top: 1px solid var(--rt-border-subtle);
    background: var(--rt-featured-channels-bg);
}

.featured-channels__group-content {
    padding: 10px;
}

.featured-channels__group-channels {
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-top: 10px;
}

.featured-channels__content {
    overflow-y: auto;
    max-height: 400px;
}

.featured-channels__group-header {
    display: flex;
    padding: 10px 15px;
    background: var(--rt-featured-channels-header-bg);
}

.featured-channels__group-header .toggle {
    margin-left: auto;
    filter: invert(11%);
}

.featured-channels__channel-item {
    display: flex;
    align-items: center;
    background: var(--rt-featured-channels-item-bg);
    border: 1px solid var(--rt-featured-channels-item-border);
    padding: 4px;
    gap: 5px;
}

.featured-channels__channel-item .remove {
    margin-left: auto;
}

.featured-channels__footer {
    border-top: 1px solid var(--rt-border-subtle);
    display: flex;
    padding: 5px;
}